#include <iostream>
using namespace std;

class Fraction {       	
    friend ostream& operator<<(ostream&,const Fraction&);
    int numerator, denominator;
 public:
    Fraction operator+(const Fraction &);
    Fraction(int=1, int=1);
};

Fraction::Fraction(int num, int denom)  { 
    numerator = num;
    if (denom==0) denominator = 1;
    else denominator = denom;
}

Fraction Fraction::operator+(const Fraction &right){
    int n= this->numerator * right.denominator + right.numerator * this->denominator ;
    int m= this->denominator= this->denominator * right.denominator;
    return Fraction(n,m);
}

ostream& operator<<(ostream &os,const Fraction& right){
    os << right.numerator << "/" << right.denominator ;
    return os;
}

int main(int argc,char *argv[]){
   Fraction f(2,3),g(3,4),h;
   h= f+g;
   cout << f << "+" << g << "=" << h ;
}
