#include <iostream>
using namespace std;

class Fraction {       	
    friend ostream& operator<<(ostream&,const Fraction&);
    int numerator, denominator;
 public:
    friend Fraction operator+(const Fraction &,const Fraction &);
    Fraction(int=1, int=1);
};

Fraction::Fraction(int num, int denom)  { 
    numerator = num;
    if (denom==0) denominator = 1;
    else denominator = denom;
}

Fraction operator+(const Fraction &left,const Fraction &right){
    int n,m ;	 
    n = left.numerator * right.denominator + right.numerator * left.denominator ;
    m= left.denominator * right.denominator;
    return Fraction(n,m) ;
}

ostream& operator<<(ostream &os,const Fraction& right){
    os << right.numerator << "/" << right.denominator ;
    return os;
}

int main(int argc,char *argv[]){
   Fraction f(2,3),g(3,4),h;
   h= f+g;
   cout << f << "+" << g << "=" << h ;
}
